Package org.wso2.carbon.registry.admin.api.governance

## Interface IConfigureServiceUIService

- All Superinterfaces:
    `IManageServicesService`

      public interface IConfigureServiceUIService
      extends IManageServicesService

  This provides functionality to configure the user interface that is available for managing services through the Management Console.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getServiceConfiguration()` | Method to obtain the current service UI configuration.
    `boolean` | `saveServiceConfiguration​(String update)` | Method to save the updated service UI configuration to the registry.

    - ### Methods inherited from interface org.wso2.carbon.registry.admin.api.governance.IManageServicesService

      `addService, canChange, editService, getServicePath`

- - ### Method Detail

    - #### getServiceConfiguration

          String getServiceConfiguration()
                                  throws org.wso2.carbon.registry.core.exceptions.RegistryException

      Method to obtain the current service UI configuration.
      Specified by:
        `getServiceConfiguration` in interface `IManageServicesService`
      Returns:
        the configuration of the service UI in XML format.
      Throws:
        `org.wso2.carbon.registry.core.exceptions.RegistryException` - if the operation failed.

    - #### saveServiceConfiguration

          boolean saveServiceConfiguration​(String update)
                                    throws org.wso2.carbon.registry.core.exceptions.RegistryException

      Method to save the updated service UI configuration to the registry.
      Specified by:
        `saveServiceConfiguration` in interface `IManageServicesService`
      Parameters:
        `update` - the updated service UI configuration.
      Returns:
        whether the operation was successful or not.
      Throws:
        `org.wso2.carbon.registry.core.exceptions.RegistryException` - if the operation failed during the update.